//
// Created by sasha on 03.12.2025.
//

#ifndef RU_DANSOFT_PUZZLE15_FONT_CACHE_H
#define RU_DANSOFT_PUZZLE15_FONT_CACHE_H

#include <string>

#include <SDL3_ttf/SDL_ttf.h>


class FontCache {
    public:
        static TTF_Font* getFont(const std::string &fontName, float ptsize);
        static void quit();
};


#endif //RU_DANSOFT_PUZZLE15_FONT_CACHE_H
